package com.qmth.jkserver.params.callApi;

import com.qmth.jkserver.annotation.DBVerify;

/**
 * @Description: 新增/保存考试接口参数
 * @Author: CaoZixuan
 * @Date: 2021-05-10
 */
public class SaveExamParams {
    @DBVerify(value = "考试id")
    private int id;

    @DBVerify(value = "考试编号")
    private String code;

    @DBVerify(value = "考试名称",required = true)
    private String name;

    @DBVerify(value = "考试时间(开始时间)",required = true)
    private String examTime;

    @DBVerify(value = "考试类型(SCAN_IMAGE或MULTI_MEDIA)",required = true)
    private String type;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getExamTime() {
        return examTime;
    }

    public void setExamTime(String examTime) {
        this.examTime = examTime;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
